HOSTAPD(8)

NAME
hostapd - authenticator for IEEE 802.11 networks

SYNOPSIS
hostapd [-BdhKtv] config-file ...

DESCRIPTION
The hostapd utility is an authenticator for IEEE 802.11 networks. It provides full support for WPA/IEEE 802.11i and can also act as an IEEE 802.1X Authenticator with a suitable backend Authentication Server (typically FreeRADIUS). The hostapd utility implements the authentication protocols that piggyback on top of the normal IEEE 802.11 protocol mechanisms. To use hostapd as an authenticator, the underlying device must support some basic functionality such as the ability to set security information in the 802.11 management frames. Beware that not all devices have this support.

The hostapd utility is designed to be a “daemon” program that runs in the background and acts as the backend component controlling the wireless connection. It supports separate frontend programs such as the text-based frontend, hostapd_cli(8).

The following arguments must be specified on the command line:

config-file
    Use the settings in the specified configuration file; the name of the specified wireless interface is contained in this file. See hostapd.conf(5) for a description of the configuration file syntax.

    Changes to the configuration file can be reloaded by sending a SIGHUP to the hostapd processor or with the hostapd_cli(8) utility, using “hostapd_cli reconfigure”.

OPTIONS
The options are as follows:

-d  Enable debugging messages. If this option is supplied twice, more verbose messages are displayed.

-h  Show help text.

-t  Include timestamps in debugging output.

-v  Display version information on the terminal and exit.

-B  Detach from the controlling terminal and run as a daemon process in the background.

-K  Include key information in debugging output.

SEE ALSO
ath(4), ipw(4), iwi(4), ral(4), wi(4), hostapd.conf(5), hostapd_cli(8), ifconfig(8)

HISTORY
The hostapd utility first appeared in NetBSD 4.0.

AUTHORS
The hostapd utility was written by Jouni Malinen <jkmaline@cc.hut.fi>. This manual page is derived from the README file included in the hostapd distribution.